#!/usr/bin/python3

from PyQt6.QtWidgets import QWidget, QGridLayout
from ui.track_control import TrackControl


class MainContainer(QWidget):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.layout = QGridLayout()

        self.track_control = TrackControl(self)
        self.layout.addWidget(self.track_control)

        self.setLayout(self.layout)

