#!/usr/bin/python3

from PyQt6.QtWidgets import QMainWindow, QMenu
from ui.main_container import MainContainer


class MainWindow(QMainWindow):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.setWindowTitle("WoBuzz")

        self.menu_bar = self.menuBar()
        self.menu_bar.addMenu(QMenu("&File", self))

        self.main_container = MainContainer(self)

        self.setCentralWidget(self.main_container)

